GLS ShipIT 4.0.f7 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Consignee Class Reference

## Public Member Functions
String | getConsigneeID ()
void | setConsigneeID (String value)
String | getCostCenter ()
void | setCostCenter (String value)
CategoryType | getCategory ()
void | setCategory (CategoryType value)
Address | getAddress ()
void | setAddress (Address value)

## Protected Attributes
String | consigneeID
String | costCenter
CategoryType | category
Address | address

## Detailed Description

Consignee (it's address and custom reference values)

Java class for Consignee complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="Consignee">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="ConsigneeID" type="{http://fpcs.gls-group.eu/v1/Common}ConsigneeID" minOccurs="0"/>
            <element name="CostCenter" type="{http://fpcs.gls-group.eu/v1/Common}CostCenter" minOccurs="0"/>
            <element name="Category" type="{http://fpcs.gls-group.eu/v1/Common}CategoryType" minOccurs="0"/>
            <element name="Address" type="{http://fpcs.gls-group.eu/v2/ShipmentProcessing/types}Address" minOccurs="0"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 45 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Consignee.java.

## Member Function Documentation

## ◆ getAddress()

Address eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Consignee.getAddress | ( |  | ) |

Gets the value of the address property.

Returns
  possible object is Address

Definition at line 137 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Consignee.java.

## ◆ getCategory()

CategoryType eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Consignee.getCategory | ( |  | ) |

Gets the value of the category property.

Returns
  possible object is CategoryType

Definition at line 113 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Consignee.java.

## ◆ getConsigneeID()

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Consignee.getConsigneeID | ( |  | ) |

Gets the value of the consigneeID property.

Returns
  possible object is String

Definition at line 65 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Consignee.java.

## ◆ getCostCenter()

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Consignee.getCostCenter | ( |  | ) |

Gets the value of the costCenter property.

Returns
  possible object is String

Definition at line 89 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Consignee.java.

## ◆ setAddress()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Consignee.setAddress | ( | Address | value | ) |

Sets the value of the address property.

Parameters

  value | allowed object is Address

Definition at line 149 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Consignee.java.

## ◆ setCategory()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Consignee.setCategory | ( | CategoryType | value | ) |

Sets the value of the category property.

Parameters

  value | allowed object is CategoryType

Definition at line 125 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Consignee.java.

## ◆ setConsigneeID()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Consignee.setConsigneeID | ( | String | value | ) |

Sets the value of the consigneeID property.

Parameters

  value | allowed object is String

Definition at line 77 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Consignee.java.

## ◆ setCostCenter()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Consignee.setCostCenter | ( | String | value | ) |

Sets the value of the costCenter property.

Parameters

  value | allowed object is String

Definition at line 101 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Consignee.java.

## Member Data Documentation

## ◆ address

Address eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Consignee.address
| protected

Definition at line 55 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Consignee.java.

## ◆ category

CategoryType eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Consignee.category
| protected

Definition at line 53 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Consignee.java.

## ◆ consigneeID

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Consignee.consigneeID
| protected

Definition at line 48 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Consignee.java.

## ◆ costCenter

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Consignee.costCenter
| protected

Definition at line 50 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Consignee.java.

The documentation for this class was generated from the following file:

- glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Consignee.java